Bug 572213 - RHEVM GUI: Data-center "Guide Me" => select host => activate the selected host
RHEVM GUI: Data-center "Guide Me" => select host => activate the selected host
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
All Windows
high Severity medium
: ---
: ---
Assigned To: Einav Cohen
infra
: Improvement
: 735940 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-10 09:58 EST by yeylon@redhat.com
Modified: 2016-04-18 03:06 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-13 03:12:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yeylon@redhat.com 2010-03-10 09:58:13 EST
Description of problem:

when creating a new Data-center and using the "Guide Me" wizard to configure this DC.

in case that we have some hosts in "maintenance" mode we have a "select host" button that will present a list of all hosts in the system in status maintenance. selecting one host and clicking OK will set this host to be a part of the DC but will leave this host in maintenance mode.

this will affect the "next" operation of the wizard "Attach host" the attach host operation will fail due to no active host appears in the DC.

solution:

1. when adding a host using the wizard try to activate this host (if no other hosts are active in this DC) 
 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Einav Cohen 2012-01-02 09:46:35 EST
- I assume that in the BZ description, when referring to "Attach host", it should probably have been "Attach Storage".

- Since activating a Host isn't an "immediate" action (it may take some time until Host is actually reaching the "Up" state), the "Attach Storage" action shouldn't necessarily be available immediately after activating the Host (assuming we are, indeed, activating the Host, as suggested); we would probably want the "Attach Storage" action to be disabled within the "Guide Me" dialog, and once the Host is Up - enable it.
Currently, the Guide Me dialog isn't "sensitive" to status changes. A similar issue exists also in Bug 692450 (adding a second disk to a VM via the VM Guide Me shouldn't be available until adding the first disk has completed). 

Need to revisit the "Guide Me" design/implementation.
Comment 2 Einav Cohen 2012-01-02 09:48:51 EST
*** Bug 735940 has been marked as a duplicate of this bug. ***
Comment 3 Itamar Heim 2012-12-13 03:12:44 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.